Loading...
Searching...
No Matches
FixedLengthUtil::FixedLengthWriteDataProviderFactory Class Reference

The read-only fixed-length data provider factory. More...

`#include <FixedLengthWriteDataProviderFactory.qc.dox.h>`

Inherits AbstractDataProviderFactory.

## Protected Member Functions

Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.

## Protected Attributes

const | FactoryInfo
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("FixedLengthWriteDataProvider")
| Data provider type info.

## Detailed Description

The read-only fixed-length data provider factory.

## Member Function Documentation

## getInfoImpl()

hash< DataProviderFactoryInfo > FixedLengthUtil::FixedLengthWriteDataProviderFactory::getInfoImpl | ( |  | ) |

protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## getProviderInfoImpl()

hash< DataProviderInfo > FixedLengthUtil::FixedLengthWriteDataProviderFactory::getProviderInfoImpl | ( |  | ) |

protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes